### Enumeration

# Ide DebuggerDisposition

#### Declaration

    enum Ide.DebuggerDisposition

#### Description

The disposition determines what should happen to the breakpoint at the next stop of the debugger.

Available since: | 3.32

#### Members

Name | Description
--- | ---
`IDE_DEBUGGER_DISPOSITION_KEEP` | The breakpoint will be kept after the next stop. This generally means the breakpoint is persistent until removed by the user.
`IDE_DEBUGGER_DISPOSITION_DISABLE` | The breakpoint is currently disabled.
`IDE_DEBUGGER_DISPOSITION_DELETE_NEXT_HIT` | The breakpoint will be removed after the next time it is hit.
`IDE_DEBUGGER_DISPOSITION_DELETE_NEXT_STOP` | The breakpoint will be removed the next time the debugger stops, even if not hit.